#version 330

precision highp float;

uniform sampler2D sceneFBO;

smooth in vec2 vTexCoord;
in vec2 vTCs[14];

out vec4 Color;

void main(void) {
	vec4 sum = vec4(0.0);
	
	sum += texture(sceneFBO, vTCs[0]) * 0.0044299121055113265;
	sum += texture(sceneFBO, vTCs[1]) * 0.00895781211794;
	sum += texture(sceneFBO, vTCs[2]) * 0.0215963866053;
	sum += texture(sceneFBO, vTCs[3]) * 0.0443683338718;
   	sum += texture(sceneFBO, vTCs[4]) * 0.0776744219933;
   	sum += texture(sceneFBO, vTCs[5]) * 0.115876621105;
   	sum += texture(sceneFBO, vTCs[6]) * 0.147308056121;
   	sum += texture(sceneFBO, vTexCoord) * 0.159576912161;
   	sum += texture(sceneFBO, vTCs[7]) * 0.147308056121;
   	sum += texture(sceneFBO, vTCs[8]) * 0.115876621105;
   	sum += texture(sceneFBO, vTCs[9]) * 0.0776744219933;
	sum += texture(sceneFBO, vTCs[10]) * 0.0443683338718;
	sum += texture(sceneFBO, vTCs[11]) * 0.0215963866053;
	sum += texture(sceneFBO, vTCs[12]) * 0.00895781211794;
	sum += texture(sceneFBO, vTCs[13]) * 0.0044299121055113265;
	
	Color = vec4(sum.rgb, sum.a*4.0);
}